rails3を使っていますが、動かなくなって困ってます。たとえば、プロジェクトのあるディレクトリに移動した上で$ ruby script/server と打っても、次のようなメッセージがでて動きません。どうすればよいでしょうか。

/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:55: uninitialized constant ActiveSupport::Dependencies::Mutex (NameError)
from /Library/Ruby/Site/1.8/rubygems/custom_require.rb:53:in `gem_original_require'
from /Library/Ruby/Site/1.8/rubygems/custom_require.rb:53:in `require'
from /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/gems/1.8/gems/activesupport-2.3.5/lib/active_support.rb:56
from /Library/Ruby/Site/1.8/rubygems/custom_require.rb:53:in `gem_original_require'
from /Library/Ruby/Site/1.8/rubygems/custom_require.rb:53:in `require'
from /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/commands/server.rb:1
from /Library/Ruby/Site/1.8/rubygems/custom_require.rb:53:in `gem_original_require'
from /Library/Ruby/Site/1.8/rubygems/custom_require.rb:53:in `require'
from script/server:3

回答の条件
  • 1人2回まで
  • 13歳以上
  • 登録:2011/04/10 02:30:53
  • 終了:2011/04/17 02:35:05

回答(2件)

id:asuka645 No.1

あすか回答回数856ベストアンサー獲得回数972011/04/10 07:45:29

ポイント35pt

gem 1.x系を使ってRailsをアップデートしようとしていませんか?

いったんgem 2.xにアップデートしてから、Rails 3.0へのアップデートを行うようにしてみてください。

id:nashirox

ご回答ありがとうございます。$ sudo gem update --system と打ったところ、Latest version currently installed. Aborting.が返ってきてしまいました。

http://rubyforge.org/frs/?group_id=126

上を確認したところ、gem 2.x系というのがなさそうなんですが…。

2011/04/10 12:10:49
id:lunlumo No.2

lunlumo回答回数107ベストアンサー獲得回数142011/04/10 21:21:40

ポイント35pt

rails3なら起動はrails serverですね。手元の環境では同じエラーは確認できなかったので,他にも問題があるのかも知れませんが...。

http://edgeguides.rubyonrails.org/3_0_release_notes.html

id:nashirox

ご回答ありがとうございます。昼頃に$ rails sでは動かなかったんですが、先ほど再起動してもう一回打ったら動きました…。

とにかく大変たすかりました。ありがとうございました。

2011/04/10 22:26:57

コメントはまだありません

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません